# Interface AuthConfig

All Known Subinterfaces:
  `ClientAuthConfig`, `ServerAuthConfig`

public interface AuthConfig

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppContext()`
  `String`
  `getAuthContextID(MessageInfo messageInfo)`
  `String`
  `getMessageLayer()`
  `boolean`
  `isProtected()`
  `void`
  `refresh()`

- ## Method Details

  - ### getMessageLayer

    String getMessageLayer()

  - ### getAppContext

    String getAppContext()

  - ### getAuthContextID

    String getAuthContextID(MessageInfo messageInfo)

  - ### refresh

    void refresh()

  - ### isProtected

    boolean isProtected()